const TokenKey = 'GCLS_Token';

export function getSessionID() {
  const token = localStorage.getItem(TokenKey);
  const _token = token ? JSON.parse(token) : null;
  return _token ? _token.session_id ?? '' : '';
}

export function getToken() {
  const token = localStorage.getItem(TokenKey);
  return token ? JSON.parse(token) : null;
}

export function setToken(token) {
  const _token = typeof token === 'object' ? JSON.stringify(token) : '';
  localStorage.setItem(TokenKey, _token);
}

export function removeToken() {
  localStorage.removeItem(TokenKey);
}

const ConfigKey = 'GCLS_Config';

export function getConfig() {
  const config = localStorage.getItem(ConfigKey);
  return config ? JSON.parse(config) : null;
}

export function setConfig(value) {
  let _val = typeof value === 'object' ? JSON.stringify(value) : '';
  localStorage.setItem(ConfigKey, _val);
}

export function removeConfig() {
  localStorage.removeItem(ConfigKey);
}

// 基础请求路径
const BaseUrl = 'APP_BASE_API';
export function getBaseUrl() {
  const defaultUrl = process.env.NODE_ENV === 'development' ? '/api' : 'https://gcls.helxsoft.cn/';
  return localStorage.getItem(BaseUrl) ?? defaultUrl;
}

export function setBaseUrl(value) {
  console.log(value);
  localStorage.setItem(BaseUrl, value);
}

const FileUrl = 'APP_FILE_API';
export function getFileUrl() {
  const defaultUrl = process.env.NODE_ENV === 'development' ? '/file' : 'https://file-kf.helxsoft.cn/';
  return localStorage.getItem(FileUrl) ?? defaultUrl;
}

export function setFileUrl(value) {
  localStorage.setItem(FileUrl, value);
}
